pbs_ralter(1B)

NAME
pbs_ralter - modify an existing advance or standing reservation

SYNOPSIS
pbs_ralter [-E <end time>] [-I <block time>] [-m <mail points>]
           [-M <mail list>] [-N <reservation name>] [-R <start time>]
           <reservation ID>
pbs_ralter --version

DESCRIPTION
You can use the pbs_ralter command to alter an existing advance or standing reservation. You can change the start time, end time, events that generate mail, mail recipient list, and reservation name. You can change the end time for a running reservation with running jobs. You can use this command to change an advance reservation or the next or current instance of a standing reservation. After the change is requested, the change is either confirmed or denied. On denial of the change, the reservation is not deleted and is left as is, and the following message appears in the server's log:
   Unable to alter reservation <reservation ID>
When a reservation is confirmed, the following message appears in the server's log:
   Reservation alter successful for <reservation ID>
To find out whether or not the change was allowed:
    Use the pbs_rstat command: see whether you altered reservation attribute(s) Use the interactive option: check for confirmation after the blocking time has run out Check the server log for confirmation or denial messages
Before the change is confirmed or denied, the change is unconfirmed, and the reservation state is AL. Once a reservation change is confirmed, the reservation state is CO or RN. If the reservation has not started and it cannot be confirmed on the same vnodes, PBS searches for another set of vnodes. Required Privilege
You must be the reservation owner or the PBS Administrator to run this command.

Options to pbs_ralter

-R <start time>
    Specifies reservation's new start time. This option can be used either when the reservation is not running or there are no jobs are submitted to the reservation. You cannot use this option when a reservation is not empty and has started running. The specifications for providing the time are the same as for pbs_rsub:
    If the day, DD, is not specified, it defaults to today if the time hhmm is in the future. Otherwise, the day is set to tomorrow. For example, if you alter a reservation with the specification -R 1110 at 11:15 a.m., it is interpreted as being for 11:10 a.m. tomorrow. If the month portion, MM, is not specified, it defaults to the current month, provided that the specified day DD, is in the future. Otherwise, the month is set to next month. Similar rules apply to the two other optional, left-side components. Format: Datetime

-E <end time>
    Specifies reservation's new end time. This option can be used even when the reservation is running and has jobs that are submitted to and/or are running in the reservation. Format: Datetime

-I <block time>
    Specifies interactive mode. The pbs_ralter command will block, up to block time seconds, while waiting for the reservation's change request to be confirmed or denied. The value for block time must be positive. The pbs_ralter command returns either the status CONFIRMED or the status DENIED . Format: Integer Default: Not interactive

-m <mail points>
    Specifies the set of events that cause mail to be sent to the list of users specified in the -M <mail list> option. Format: String
    Syntax: Either of
    1) any combination of "a", "b", "c" or "e", or
    2) the single character "n"

    Suboptions to -m Option:
    Character   Meaning
    --------------------------------------------------------------
    a           Notify if reservation is terminated for any reason
    b           Notify when the reservation period begins
    c           Notify when the reservation is confirmed
    e           Notify when the reservation period ends
    n           Send no mail.  Cannot be used with any of a, b, c or e.
    Default: No default; if not specified, mail events are unchanged

-M <mail list>
    The list of users to whom mail is sent whenever the reservation transitions to one of the states specified in the -m <mail points> option. Format: <username>[@<hostname>][,<username>[@<hostname>]...] Default: No default; if not specified, user list is unchanged

-N <reservation name>
    Specifies a name for the reservation. Format:
    String up to 15 characters in length. It must consist of printable, non-white space characters with the first character alphabetic.

    Default: No default; if not specified, reservation name is unchanged

--version
    The pbs_ralter command returns its PBS version information and exits. This option can only be used alone.

OPERANDS
The pbs_ralter command takes a reservation ID.
For an advance reservation this has the form:
    R<sequence number>[.<server name>][@<remote server>]
For a standing reservation this has the form:
    S<sequence number>[.<server name>][@<remote server>]
@<remote server> specifies a reservation at a server other than the default server.